# Uses of Class
org.apache.solr.common.cloud.DocRouter.Range

Packages that use DocRouter.Range
Package
Description
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.

## Uses of DocRouter.Range in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud that return DocRouter.Range
Modifier and Type
Method
Description
`DocRouter.Range`
DocRouter.`fromString(String range)`
`DocRouter.Range`
DocRouter.`fullRange()`
`DocRouter.Range`
CompositeIdRouter.KeyParser.`getRange()`
`DocRouter.Range`
Slice.`getRange()`
`DocRouter.Range`
CompositeIdRouter.`getSearchRangeSingle(String shardKey, SolrParams params, DocCollection collection)`
`DocRouter.Range`
DocRouter.`getSearchRangeSingle(String shardKey, SolrParams params, DocCollection collection)`
This method is consulted to determine what search range (the part of the hash ring) should be queried for a request when an explicit shards' parameter was not used.
`DocRouter.Range`
CompositeIdRouter.`keyHashRange(String routeKey)`
Get Range for a given CompositeId based route key
Methods in org.apache.solr.common.cloud that return types with arguments of type DocRouter.Range
Modifier and Type
Method
Description
`List<DocRouter.Range>`
RoutingRule.`getRouteRanges()`
`List<DocRouter.Range>`
CompositeIdRouter.`partitionRange(int partitions, DocRouter.Range range)`
`List<DocRouter.Range>`
DocRouter.`partitionRange(int partitions, DocRouter.Range range)`
Split the range into partitions.
`List<DocRouter.Range>`
DocRouter.`partitionRange(int partitions, DocRouter.Range range, float fuzz)`
Split the range into partitions with inexact sizes.
`List<DocRouter.Range>`
ImplicitDocRouter.`partitionRange(int partitions, DocRouter.Range range)`
`List<DocRouter.Range>`
CompositeIdRouter.`partitionRangeByKey(String key, DocRouter.Range range)`
Methods in org.apache.solr.common.cloud with parameters of type DocRouter.Range
Modifier and Type
Method
Description
`int`
DocRouter.Range.`compareTo(DocRouter.Range that)`
`boolean`
DocRouter.Range.`isSubsetOf(DocRouter.Range superset)`
`boolean`
DocRouter.Range.`overlaps(DocRouter.Range other)`
`List<DocRouter.Range>`
CompositeIdRouter.`partitionRange(int partitions, DocRouter.Range range)`
`List<DocRouter.Range>`
DocRouter.`partitionRange(int partitions, DocRouter.Range range)`
Split the range into partitions.
`List<DocRouter.Range>`
DocRouter.`partitionRange(int partitions, DocRouter.Range range, float fuzz)`
Split the range into partitions with inexact sizes.
`List<DocRouter.Range>`
ImplicitDocRouter.`partitionRange(int partitions, DocRouter.Range range)`
`List<DocRouter.Range>`
CompositeIdRouter.`partitionRangeByKey(String key, DocRouter.Range range)`